KanjiVG: Kanji Vector Graphics

Licence
-------
KanjiVG is copyright Ulrich Apel and released under the Creative Commons
Attribution-Share Alike 3.0 licence:

http://creativecommons.org/licenses/by-sa/3.0/

See the file COPYING for more details.

Documentation
-------------
The project's documentation is at https://kanjivg.tagaini.net/.

Releases
--------

The files in the release are as follows:

* kanjivg-YYYYMMDD-main.zip

This zip file contains all of the non-variant SVG files in the same
format as they were in the repository at the time the release was
made. This is the file which is recommended for most users who simply
want a set of SVG graphics they can use immediately.

* kanjivg-YYYYMMDD-all.zip

This zip file contains all of the SVG files, including the variant
forms, in the same format as they were in the repository at the time
the release was made.

* kanjivg-YYYYMMDD-stripped.zip

This zip file contains all of the SVG files, including the variant
forms, but with all of the attributes such as the stroke type,
radical, or element removed from the files. This file is specifically
for people who use XML parsers which limit the use of user-defined
attributes. 

* kanjivg-YYYYMMDD.xml.gz

The file kanjivg-YYYYMMDD.xml.gz contains all of the non-variant SVG
files in one large XML structure. This is the format in which KanjiVG
was first released. However, although this format will not be removed,
it should now be considered obsolete, and is only provided for users
who want to keep using "legacy" software written for the old
format. This file is generated by `kvg.py`.

* Source code files

These are the entire repository's source code files. These are
generated by github.

Other files in the repository
-----------------------------

* A utility for unpacking the information in KanjiVG is provided in
`kvg-lookup.py`.  Please see its source code for documentation.

* Releases are generated using the `updatepublic.sh` shell
script. 

* `kvg.py` generates the legacy format data. 

* There is some Python library code in `kanjivg.py`, `utils.py`, and
`xmlhandler.py` for manipulating the files.

* The file `make-index.py` is for making an index of the kanji files
called `kvg-index.json`. This index file is used by [the online
KanjiVG viewer at the kanjivg
website](https://kanjivg.tagaini.net/viewer.html). Unfortunately the
index file needs to be part of this repository in order that the
Javascript viewer can work properly.

* `clean.py` removes unnecessary files which have accumulated.